Fetching Batches
Fetching Batches
Fetching Batches
You can inspect the overall status of your transfer batches using this paginated API.
Paging
Use the same query parameters as in the previous request, but add acursor query parameter (with the cursor from the previous response).
If the cursor is null, there is nothing left to page.
Authentication
Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.Path Params
Contract address which submitted the batches.
Query Params (Optional)
pointType can be PHASE2_POINTS or PHASE2_GOLDStatus of the batch. Can be
PENDING or CANCELLED or FINALIZING or
FINALIZED.For querying batches created before
createdBefore timestamp (ISO8601)For querying batches created after
createdAfter timestamp (ISO8601)Sort by
ASC or DESC creation orderResponse
Response status.
Batch details along with transfer details.
Cursor for pagination, if it is
null there are no results left to
paginate.